mbuffer (20200929+ds2-4) unstable; urgency=medium

  * Add the decrease-numblocks patch.
  * Run mbuffer verbosely once at the start of the test suite to
    display the values autoconfigured from the system page size,
    available memory, etc.

 -- Peter Pentchev <roam@debian.org>  Wed, 04 Nov 2020 02:58:41 +0200

mbuffer (20200929+ds2-3) unstable; urgency=medium

  * Fix cross-compilation: do not look for a target objdump tool,
    the host one will do. Closes: #972427

 -- Peter Pentchev <roam@debian.org>  Sun, 25 Oct 2020 13:35:43 +0200

mbuffer (20200929+ds2-2) unstable; urgency=medium

  * Do not override the default "/bin and /usr/bin" test trees in
    the autopkgtest; the whole of /usr may pose a problem on some
    32-bit systems.
  * Drop the test-conditional patch, not used any more.

 -- Peter Pentchev <roam@debian.org>  Sat, 24 Oct 2020 19:58:14 +0300

mbuffer (20200929+ds2-1) unstable; urgency=medium

  * New upstream release:
    - do not exclude .hg_archival.txt from the repacked tarball,
      the new mkversion.sh tool needs it
    - refresh the patches, mostly line numbers
    - add another Makefile fixup to the usr-tree autopkgtest
  * Add two more corrections to the typos patch.

 -- Peter Pentchev <roam@debian.org>  Wed, 14 Oct 2020 12:32:38 +0300

mbuffer (20200505+ds1-1) unstable; urgency=medium

  * Switch the upstream URLs to the HTTPS protocol now that the server
    supports it.
  * Drop the adequate autopkgtest.
  * Move the have-af test program to /usr/libexec.
  * Drop the Name and Contact upstream metadata fields.
  * Update to debhelper compat level 13: use an execute_after target.
  * New upstream release:
    - refresh the typos patch
    - update the upstream copyright years

 -- Peter Pentchev <roam@debian.org>  Sun, 31 May 2020 22:24:06 +0300

mbuffer (20191016+ds1-1) unstable; urgency=medium

  * Add the build-stamp patch to fix FTBFS at test time.
  * Add the year 2020 to my debian/* copyright notice.
  * Declare compliance with Debian Policy 4.5.0, no changes.
  * New upstream version:
    - refresh the patch line numbers

 -- Peter Pentchev <roam@debian.org>  Mon, 10 Feb 2020 03:09:27 +0200

mbuffer (20190725+ds1-1) unstable; urgency=medium

  * Use the test-name autopkgtest feature.
  * Mark the adequate test as superficial.
  * Declare compliance with Debian Policy 4.4.1 with no changes.
  * Annotate the test-only build dependencies with <!nocheck>.
  * New upstream version:
    - refresh the patch line numbers
    - add the cppflags patch to honor CPPFLAGS during the build
    - also replace @SH@ in the Makefile.in template for the autopkgtest

 -- Peter Pentchev <roam@debian.org>  Fri, 04 Oct 2019 14:12:50 +0300

mbuffer (20190127+ds1-1) unstable; urgency=medium

  * Add a trivial git-buildpackage config file.
  * New upstream version, refresh the patches.

 -- Peter Pentchev <roam@debian.org>  Wed, 20 Feb 2019 15:58:25 +0200

mbuffer (20190119+ds1-1) unstable; urgency=medium

  * New upstream version, refresh the patches.

 -- Peter Pentchev <roam@debian.org>  Wed, 23 Jan 2019 14:22:20 +0200

mbuffer (20190113+ds1-1) unstable; urgency=medium

  * New upstream version:
    - update the copyright years
    - drop the network-no-getaddrinfo patch, integrated upstream
    - refresh the patches

 -- Peter Pentchev <roam@debian.org>  Mon, 14 Jan 2019 23:16:15 +0200

mbuffer (20181119+ds1-1) unstable; urgency=medium

  * Bring up to compliance with Debian Policy 4.3.0: install the upstream
    release notes (ChangeLog) as NEWS and not changelog.
  * Drop the Lintian overrides related to B-D: debhelper-compat -
    Lintian 2.5.98 no longer emits these warnings and errors.
  * Fix another typographical error.
  * Bump the debhelper compatibility level to 12 with no changes.
  * Add the year 2019 to my debian/* copyright notice.
  * Move away from git-dpm.
  * Add the network-no-getaddrinfo patch to fix two problems in
    the case when getaddrinfo(3) is not available:
    - fix the parsing of the "-I host:port" command-line option
    - use %s, not %d, for string arguments to printf()
  * Do not modify an autogenerated file in the typos patch.
  * New upstream version, refresh the typos patch.

 -- Peter Pentchev <roam@debian.org>  Tue, 08 Jan 2019 23:55:39 +0200

mbuffer (20180625+ds1-1) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.1.5 with no changes.
  * Add a trivial autopkgtest running adequate on the installed package.
  * New upstream version:
    - change the build dependency from libmhash-dev to libmhash2, since
      the library is loaded at runtime now, no header files needed
    - add the libmhash-so-version patch to look for libmhash.so.2,
      not libmhash.so, at runtime
    - switch from libmhash to libgcrypt20; the latter seems to be
      present on almost all recent Debian installations, pulled in by
      gpgv or systemd
    - add an explicit runtime dependency on libgcrypt20 since it will
      no longer be pulled in by shlibs:Depends

 -- Peter Pentchev <roam@debian.org>  Sun, 22 Jul 2018 03:07:11 +0300

mbuffer (20180505+ds1-1) unstable; urgency=medium

  * Use my Debian e-mail address.
  * New upstream version:
    - fixes the hang on very short input.  Closes: #776445
    - add two more fixups to the usr-tree test.
  * Use the B-D: debhelper-compat (= 11) mechanism.

 -- Peter Pentchev <roam@debian.org>  Mon, 14 May 2018 17:43:29 +0300

mbuffer (20180410+ds1-1) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.1.4 with no changes.
  * New upstream version:
    - drop the af-specific, cleanup-test-files, close-errno,
      config-mbuffer, cppcheck, etcdir, and lfs-preload patches,
      all accepted by the upstream author
    - add some new fixes to the typos patch
    - split the tapetest format string fix into its own patch
    - add the internal-symbol patch to avoid defining a symbol with
      a reserved name when _GNU_SOURCE is enough
    - add another two "don't rebuild" fixups to the usr-tree test
  * Repack the upstream tarball to exclude the Mercurial tag files.

 -- Peter Pentchev <roam@ringlet.net>  Fri, 13 Apr 2018 11:28:10 +0300

mbuffer (20180318-2) unstable; urgency=medium

  * Add the af-specific patch to fix the FTBFS on hosts which do not
    have both IPv4 and IPv6 addresses.  Also, stash the new have-af
    helper tool and use it in the binary package test.
  * Now that we're running the tests at build time, fix a "FTBFS twice
    in a row" problem by also invoking the testcleanup target.
  * Rename the test-cleanup patch to test-conditional.
  * Add the cleanup-test-files patch to remove mbuffer.md5 and idev.so.

 -- Peter Pentchev <roam@ringlet.net>  Fri, 23 Mar 2018 22:57:20 +0200

mbuffer (20180318-1) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.1.3 with no changes.
  * Add the years 2017 and 2018 to my debian/* copyright notice.
  * Build-depend on debhelper 11 now that it has been released and
    remove the Lintian override.
  * Add the cppcheck patch to detect a highly improbable out-of-memory
    condition at program startup.
  * New upstream release:
    - update the upstream copyright years
    - add a @TAR@ Makefile.in fixup to the usr-tree test
  * Allow the test suite to run during the build and add openssl as
    a build dependency.
  * Add the lfs-preload patch to let tapetest.c override the correct
    open() and write() functions, e.g. if they are named differently
    because of Large File Support.  Closes: #893460
  * Forward all patches except the Debian-specific ones upstream.

 -- Peter Pentchev <roam@ringlet.net>  Thu, 22 Mar 2018 23:26:39 +0200

mbuffer (20171011-1) unstable; urgency=medium

  * New upstream release:
    - update the patches
    - drop the 06-ip6-localhost patch, upstream removed the use of
      the "ip6-localhost" hostname
    - simplify the test-library patch a bit and add idev, too
  * Remove a trailing space from the rules file.
  * Add "Rules-Requires-Root: no" to the source control stanza.
  * Bump the debhelper compatibility level to 11 and override
    the Lintian warning about the build dependency.
  * Switch to git-dpm for patch management and rename the patches.

 -- Peter Pentchev <roam@ringlet.net>  Sun, 29 Oct 2017 22:21:53 +0200

mbuffer (20170921-1) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.1.1 with no changes.
  * New upstream release:
    - update the patches
    - add the 08-config-mbuffer patch to fix the build when config.h has
      been overwritten by autoreconf
    - update the upstream copyright years: more files have the 2000-2017
      copyright notice now, so bundle everything up in it

 -- Peter Pentchev <roam@ringlet.net>  Wed, 04 Oct 2017 12:03:33 +0300

mbuffer (20170806-2) unstable; urgency=medium

  * Missed another reference to PIPE_BUF added to log.c; updated
    the 02-pipe-buf patch to fix the FTBFS on the Hurd.

 -- Peter Pentchev <roam@ringlet.net>  Mon, 25 Sep 2017 10:43:48 +0300

mbuffer (20170806-1) unstable; urgency=medium

  * Drop the implied "Testsuite: autopkgtest" source control field.
  * Declare compliance with Debian Policy 4.1.0 with no changes.
  * New upstream version:
    - refresh the 02-test-cleanup, 09-pipe-buf, 11-typos patches
    - add the 17-etcdir and 18-close-errno patches
    - add a "raises/rises" fix to the 12-path-max patch
    - update the upstream copyright years
    - add the 20-test-library patch to bundle the tapetest.so library
      needed for the autopkgtest suite
    - renumber the patches

 -- Peter Pentchev <roam@ringlet.net>  Sun, 24 Sep 2017 20:25:10 +0300

mbuffer (20161115-1) unstable; urgency=medium

  * Build-depend on debhelper 10 now that it's even in jessie-backports.
  * New upstream release, refresh the patches.

 -- Peter Pentchev <roam@ringlet.net>  Wed, 23 Nov 2016 19:39:21 +0200

mbuffer (20160613-1) unstable; urgency=medium

  * Use HTTPS for the copyright format specification URL.
  * New upstream release:
    - refresh the patches
    - update the upstream copyright years

 -- Peter Pentchev <roam@ringlet.net>  Fri, 15 Jul 2016 18:25:14 +0300

mbuffer (20160228-1) unstable; urgency=medium

  * Declare compliance with Debian Policy 3.9.8 with no changes.
  * Add three more typo fixes to the 11-typos patch.
  * Update the watch file to vesion 4 and explicitly add pgpmode=none.
  * Add an autopkgtest suite.
  * Bump the year on my debian/* copyright notice.
  * New upstream release:
    - refresh the patches
    - update the upstream copyright years
  * Bump the debhelper compat level to 10:
    - let it handle the config.guess/config.sub update
    - let it run autoreconf and the parallel build by itself
    - add a Lintian override for the debhelper warning as it itself suggests

 -- Peter Pentchev <roam@ringlet.net>  Thu, 21 Apr 2016 17:30:37 +0300

mbuffer (20150412-3) unstable; urgency=medium

  * Resurrect the 12-path-max patch, since PATH_MAX is mentioned
    a couple of lines further down again.

 -- Peter Pentchev <roam@ringlet.net>  Sun, 06 Sep 2015 04:50:54 +0300

mbuffer (20150412-2) unstable; urgency=medium

  * In the 09-pipe-buf patch, use logwrite() in printmsg(), too.
    Fixes a FTBFS on the Hurd.
  * Bump the year in my debian/* copyright notice.

 -- Peter Pentchev <roam@ringlet.net>  Sat, 05 Sep 2015 17:39:01 +0300

mbuffer (20150412-1) unstable; urgency=medium

  * New upstream release:
    - remove the 10-manpage-dashes, 12-path-max, 14-autoconf, and
      15-sigaction patches, integrated upstream
    - update the 11-typos patch
  * Drop the 13-off-by-one patch after discussing it with the upstream
    author - the buffer is actually not supposed to be null-terminated
    and the log.c routines do not in any way use it as a null-terminated
    one, so the allocation size is correct.
  * Point Vcs-Git and Vcs-Browser to my GitLab repository after migrating
    from Gitorious.
  * Remove Bug-Submit from the debian/upstream/metadata file; it was not
    an URL at all.

 -- Peter Pentchev <roam@ringlet.net>  Fri, 04 Sep 2015 17:30:28 +0300

mbuffer (20140310-3) unstable; urgency=medium

  * Add the 15-sigaction patch to initialize all the relevant fields
    in the sigaction structure.  This satisfies the stricter
    requirements of the FreeBSD kernel used in kfreebsd-*.
    Thanks, Bernhard Übelacker <bernhardu@vr-web.de> and
    Alexander Dahl <post@lespocky.de>.  Closes: #770005

 -- Peter Pentchev <roam@ringlet.net>  Wed, 19 Nov 2014 02:09:59 +0200

mbuffer (20140310-2) unstable; urgency=medium

  * Use dh-autoreconf *and* autotools-dev so that config.sub/guess are
    still updated, even as the package doesn't use automake.
    Thanks to Peter Michael Green <plugwash@debian.org>.
    Closes: #766734.
  * Add --parallel to the debhelper invocation.

 -- Peter Pentchev <roam@ringlet.net>  Sat, 25 Oct 2014 21:14:50 +0300

mbuffer (20140310-1) unstable; urgency=medium

  * Fix the watch file: support both absolute and relative links.
  * Remove the obsolete DM-Upload-Allowed source control field.
  * Bump the debhelper compatibility version to 9:
    - get the build hardening flags directly from debhelper
    - drop the dpkg-dev versioned dependency (for dpkg-buildflags),
      long satisfied even in oldstable
  * Drop the version in the autotools-dev build dependency.
  * Drop the source compression options; dpkg-dev's defaults are good enough.
  * Switch the copyright file to the final version of the 1.0 specification
    and bump the year of my debian/* copyright notice.
  * Bump Standards-Version to 3.9.6 with no changes.
  * Mark the binary package as Multi-Arch: foreign.
  * Add a debian/upstream/metadata file.
  * Switch the Vcs-* fields to the full-source Git repository.
  * New upstream release:
    - add the 10-manpage-dashes patch to mark dashes up properly
    - add the 11-typos patch to fix some grammar and typographical nits
    - add the 12-path-max patch to determine the max path length
      on the fly, e.g. for the Hurd where there is no PATH_MAX
    - add the 13-off-by-one patch to fix an off-by-one memory allocation
    - update the upstream copyright years
  * Use dh-autoreconf instead of autotools-dev to also regenerate
    the configure script and friends.  Add the 14-autoconf patch to
    update the configure.in template and to fix some fallout.

 -- Peter Pentchev <roam@ringlet.net>  Thu, 23 Oct 2014 01:19:17 +0300

mbuffer (20110119-2) unstable; urgency=low

  * Fix the watchfile: the upstream download page's URLs are fully
    qualified now.
  * Fix the FTBFS on GNU/Hurd by trying fpathconf() before PIPE_BUF and
    checking for several more constants if that fails.
  * Update the copyright file to the latest DEP 5 candidate format and
    add the GPL-3+ license in the header, too, just in case.
  * Upload to unstable.

 -- Peter Pentchev <roam@ringlet.net>  Thu, 10 Mar 2011 14:54:13 +0200

mbuffer (20110119-1) experimental; urgency=low

  * Switch to Git and point the Vcs-* fields to Gitorious.
  * Bump Standards-Version to 3.9.1 with no changes.
  * Switch to bzip2 compression for the Debian tarball.
  * Bump the debhelper compatibility level to 8 and reorder
    the dh(1) arguments.
  * New upstream release (10th anniversary!)
  * Convert the copyright file to DEP 5 rev. 153 (candidate) and
    bump the year on my copyright notice.

 -- Peter Pentchev <roam@ringlet.net>  Thu, 20 Jan 2011 16:52:02 +0200

mbuffer (20100526-2) unstable; urgency=low

  * Shorten the Vcs-Browser URL.
  * Bump Standards-Version to 3.9.0 with no changes.

 -- Peter Pentchev <roam@ringlet.net>  Tue, 29 Jun 2010 01:03:28 +0300

mbuffer (20100526-1) unstable; urgency=low

  * New upstream release.
  * Use dpkg-buildflags from dpkg-dev >= 1.15.7~ to obtain CFLAGS and
    CPPFLAGS and to add -Wl,-z,defs to LDFLAGS; no longer rely on
    dpkg-buildpackage to export the flags variables automatically.

 -- Peter Pentchev <roam@ringlet.net>  Wed, 02 Jun 2010 13:13:59 +0300

mbuffer (20100327-1) unstable; urgency=low

  [ Peter Pentchev ]
  * New upstream version.
    - remove the 07-manpage patch, integrated upstream
    - update the copyright years for mbuffer.c
  * Use the debhelper plugin provided by autotools-dev-20100122.1 to
    refresh the config.sub and config.guess files.
  * Bring the copyright file up to DEP 5 rev. 135:
    - move the author's name and e-mail to the top-level Maintainer field
    - also remove the Author field from the debian/* section
  * Bump the year in my debian/* copyright notice.
  * Just set LDFLAGS instead of overriding debhelper's auto_configure.

  [ Hector Oron ]
  * Set DM-Upload-Allowed for Peter Pentchev.

 --  <zumbi@debian.org>  Wed, 07 Apr 2010 13:56:41 +0000

mbuffer (20091227-1) unstable; urgency=low

  * New upstream version:
    - remove the 05-kfreebsd and 06-signal patches, integrated upstream
    - reintroduce the 02-test-cleanup patch, since the upstream Makefile
      needs to be portable and may not afford to use ?=
    - remove the explicit -lrt, upstream links against it now
  * Bump Standards-Version to 3.8.4 with no changes.
  * Add the 07-manpage patch to fix a couple of typos and grammar nits
    in the manual page; forwarded upstream, the author accepted it for
    the next upstream release.

 -- Peter Pentchev <roam@ringlet.net>  Thu, 25 Feb 2010 16:43:44 +0200

mbuffer (20091213-1) unstable; urgency=low

  * Fix FTBFS on GNU/kFreeBSD.  Closes: #560750
  * Honor upstream's preference for libmhash and drop the GnuTLS patch.
    Pointed out by: Mats Erik Andersson <mats.andersson@gisladisker.se>
  * New upstream version:
    - integrate the test suite and the hstrerror -lresolv patches
    - honor the user's CFLAGS, so no need for the CFLAGS patch
    - link with -lrt for clock_gettime(3) and friends
    - portability fixes: read a monotonic clock, make IPv6 really optional,
      check the input device's block size
  * Fix a segfault when terminating in quiet mode.  Closes: #562112.

 -- Peter Pentchev <roam@ringlet.net>  Thu, 24 Dec 2009 17:51:50 +0200

mbuffer (20091122-1) unstable; urgency=low

  * Initial release (Closes: #534216)

 -- Peter Pentchev <roam@ringlet.net>  Thu, 10 Dec 2009 23:52:14 +0200
